#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-LrDPe4ajHEJFv3PgYe3b3W
key:                  jose-0.8.4-LrDPe4ajHEJFv3PgYe3b3W
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  2e17e5a3fca0c8e65fac7f625b99894a
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.3/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.3/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/jose-0.8.4
hs-libraries:         HSjose-0.8.4-LrDPe4ajHEJFv3PgYe3b3W
depends:
    QuickCheck-2.14.2-SjTCKKIy0zL3ed4WaAqPy
    aeson-1.5.5.1-E81o7ZLeKZ2F33ZL69kpyr
    attoparsec-0.13.2.4-39TJgLEc6zy21miTrRuwax base-4.14.1.0
    base64-bytestring-1.2.0.1-1ZqAuSZkWNZGiv2aZ7T2gW
    bytestring-0.10.12.0 concise-0.1.0.1-9Q3c4VJreU5DzhlZdIWCol
    containers-0.6.2.1 cryptonite-0.27-3K1AYgGRxFkBMpPy2frwgJ
    lens-4.19.2-16zIndlb1bL2SzustzNV6
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.3.0-FNaehHMVeOF1RLVUNX8FcZ
    quickcheck-instances-0.3.25.2-ByneG8FsnO8HlapywFzNp5
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.13.0-D33WFZMtrpm4EjBHW4MnLA
    vector-0.12.1.2-H4eLF7dv8NOKyZpgYZDRLA
    x509-1.7.5-HzdbyFP4f4qCQVKvFuveBf

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

